Support » Plugin: WP Offload S3 Lite » Policy Syntax Error

  • Hi,

    I am trying to follow the guide at:

    Quick Start Guide

    But when I try to copy and paste the policy from that guide to the policy editor, Amazon is telling me there is syntax errors in it.

    Here is the code I used for the policy…

    {
    “Version”: “2016-01-01”,
    “Statement”: [
    {
    “Effect”: “Allow”,
    “Action”: [
    “s3:CreateBucket”,
    “s3:DeleteObject”,
    “s3:Put*”,
    “s3:Get*”,
    “s3:List*”
    ],
    “Resource”: [
    “arn:aws:s3:::*”
    ]
    }
    ]
    }

    Thoughts?

    https://wordpress.org/plugins/amazon-s3-and-cloudfront/

Viewing 3 replies - 1 through 3 (of 3 total)
  • OK I think I see the error.

    Amazon complained that “This policy contains the following error: The policy must contain a valid version string”. So I removed “”Version”: “2016-01-01″,” from the policy and that seemed to have worked.

    Apologies, we have updated our doc with a validate version

    Hi Lain,

    Thanks – I have set everything up according to the guide and I tested the connection with Cyber Duck, and all works. However from the plugin I pasted my access keys to my wp-config.php file, and when I try to browse buckets it get the warning:

    Error fetching buckets — Looks like we don’t have access to the buckets. It’s likely that the user you’ve provided access keys for hasn’t been granted the correct permissions.

    Thoughts as to what I might be missing?

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.